# Sway Config: Common Input Configuration
#
# Thurstylark

# Set common keyboard options
input type:keyboard {
	# Enable NumLock
	xkb_numlock enabled
	# CapsLock is now Esc, but Shift+CapsLock behaves like normal CapsLock
	xkb_options caps:escape_shifted_capslock
}

# Set common touchpad options
input type:touchpad {
	# Inverted Scrolling
	natural_scroll enabled
	# Disable-While-Typing
	dwt enabled
	# Tap-to-drag
	drag disabled
	# Tap-to-click
	click_method none
}

# Exclude CODEv3 keyboard from CapsLock swap 
#  (this is done in keyboard hardware)
input "3141:30354:SONiX_USB_Keyboard" {
	# Returns CapsLock to default behavior
	xkb_options caps:capslock
}
